bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Solaris 8 patches 108652-51 and 108919-14 break `make install'


From: Viktor Haag
Subject: Re: Solaris 8 patches 108652-51 and 108919-14 break `make install'
Date: 18 Apr 2002 15:00:56 -0400
User-agent: Gnus/5.09 (Gnus v5.9.0) Emacs/21.2

address@hidden (Eli Zaretskii) writes:

> Thanks for the files you sent.  Could you please try the patch
> below, both with and without the Solaris patches, and see if
> Emacs builds in both cases?  Thanks.
> 
> Index: src/s/sol2-5.h
> ===================================================================
> RCS file: /cvs/emacs/src/s/sol2-5.h,v
> retrieving revision 1.13
> diff -c -r1.13 sol2-5.h
> *** src/s/sol2-5.h    22 Nov 2000 10:37:31 -0000      1.13
> --- src/s/sol2-5.h    17 Apr 2002 18:00:03 -0000
> ***************
> *** 24,29 ****
> --- 24,38 ----
>   
>   #undef USE_MMAP_FOR_BUFFERS
>   
> + #ifdef HAVE_BCOPY
> + #undef bcopy
> + #undef bzero
> + #undef bcmp
> + #ifndef NOT_C_CODE
> + #include <strings.h>
> + #endif
> + #endif
> + 
>   #if 0 /* A recent patch in unexelf.c should eliminate the need for this.  */
>   /* Don't use the shared libraries for -lXt and -lXaw,
>      to work around a linker bug in Solaris 2.5.

I put in this patch, and my Emacs 21.2 now builds and (seems to)
run on Solaris 8. I also have installed the patches mentioned in
the subject line.

-- 
Viktor Haag : Software & Information Design : Research In Motion
                              +--+
"Yeah--I'm going to need a firm mattress, and a night light, and
                some peaches. Oh yeah! Peaches!"



reply via email to

[Prev in Thread] Current Thread [Next in Thread]